Subject: Re: [RFC PATCH 0/6] [RFC] Introduce cgit-rs, a Rust wrapper around libgit.a

From: "Jason A. Donenfeld" <[email-masked]>
Date: Thu, 8 Aug 2024 20:51:09 +0900

Hi,

Cgit maintainer here...

On Wed, Aug 07, 2024 at 11:21:25AM -0700, Josh Steadmon wrote:
> * bikeshedding on the name (yes, really). There is an active, unrelated
>   CGit project [4] that we only recently became aware of. We originally
>   took the name "cgit" because at $DAYJOB we sometimes refer to git.git
>   as "cgit" to distinguish it from jgit [5].

Indeed, please find something else. Cgit is a real project, used by
many, such as git.kernel.org, and it'll turn into a real hassle for both
of us if there's ambiguity and confusion.

What about libgit-rs? Or even libgit3, where the rustness of it is
simply an implementation detail, so the name won't feel dated 15 years
from now when everything is written in Rust anyway and -rs is so 2020s?

Jason